<%@page import="java.util.Iterator"%>
<%@page import="java.util.ArrayList"%>
<%@page import="mainapp.User"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%
    ArrayList<User> users = null;
    if (request.getParameter("term") == null)
        users = User.getAllUsers();
    else users = User.search(request.getParameter("term"));
%>
<h1 style="text-align: center">Χρήστες</h1>
<hr /><br />
<h6 class="form_error" style="text-align: center">
<%
    if (request.getParameterMap().containsKey("del")) {
        out.print("Ο Χρήστης διαγράφηκε επιτυχώς");
    }
%>
</h6>
<div style="text-align: right">
    <form action="" method="POST">
        <label>Αναζήτηση Χρήστη</label>
        <input type="text" name="term" placeholder="Όνομα ή ΑΦΜ"/>
        <input type="submit" value="Ψάξε" />
    </form>
</div>
<br>
<table class="info-table">
    <tr><th>Όνομα</th><th>Username</th><th>Email</th><th>Διεύθυνση</th>
        <th>ΑΦΜ</th><th>Αριθμός Κάρτας</th><th>admin</th>
    <th width="10%">Λειτουργίες</th></tr>
    <%
        Iterator i;
        i = users.iterator();
        User u = null;
        while (i.hasNext()) {
            u = (User)i.next();
            out.print("<tr><td>"+u.getName()+"</td><td>"+
                    u.getUsername()+"</td><td>"+u.getEmail()+"</td><td>"+
                    u.getAddress()+"</td><td>"+
                    u.getAfm()+"</td><td>"+u.getBankAccount()+"</td><td class='text-center'>"+
                    (u.isAdmin() ? "&#10004;" : "-")+
                    "<td class='actions text-center'>"+
                    "<a class='red' title='διαγραφή' href='"+request.getContextPath()+"/DeleteUserAction?user_id="+u.getID()+"'><i class='fa fa-times'></i></a> "+
                    "<a class='blue' title='παραγωγές' href='?action=productions&user_id="+u.getID()+"'><i class='fa fa-gears'></i></a> "+
                    "<a class='green' title='προσθήκη παραγωγής' href='?action=add_production&user_id="+u.getID()+"'><i class='fa fa-plus-square'></i></a>"+
                    "</td></tr>");
        }
    %>
</table>